LArSoft - Feature #23969

Add pygccxml to larsoft
01/28/2020 02:16 PM - Christopher Backhouse

Status: Closed Start date: 01/28/2020
Priority: Normal Due date:

Assignee: Christopher Green % Done: 100%
Category: Estimated time: 8.00 hours
Target version: Spent time: 0.00 hour
Experiment: SBND Co-Assignees: Patrick Gartung
Description

Could pygexxml be added to larsoft please?

sbncode already depends on the pygcexml currently installed in /cvmfs/larsoft.opensciencegrid.org/ but to upgrade to SL7 we need
vi_9 1ain order to be compatible with the SL7 python.

History

#1 - 01/30/2020 10:49 AM - Lynn Garren
- Scope deleted (Internal)

- Project changed from cet-is to LArSoft

In order to add pygccxml to the larsoft distribution, we must make a release with python 3 as well as the existing python 2 build. That may take some
time. In the meantime, pygccxml vi_9_1a for p2715a has been installed on the larsoft cvmfs. It will not be added to the larsoft distribution until we
have vi_9 1b with both p2715a and p372 support.

#2 - 01/30/2020 10:50 AM - Christopher Backhouse
Thanks! We will try it out and check everything is OK.

#3 - 02/03/2020 10:35 AM - Kyle Knoepfel
- Estimated time set to 8.00 h

- Assignee set to Christopher Green

- Status changed from New to Assigned

- Co-Assignees Patrick Gartung added

#4 - 02/03/2020 10:41 AM - Kyle Knoepfel

- Status changed from Assigned to Under Discussion

Although we are willing to consider adding this to a LArSoft-related distribution, use of CastXML (and friends) creates maintenance and sustainability
concerns. We would like to discuss this with the SBND software leaders to better understand the situation.

#5 - 02/04/2020 05:32 AM - Christopher Backhouse

Not sure exactly who needs to be involved. But maybe we can start with Andy Mastbaum.

#6 - 02/10/2020 10:27 AM - Kyle Knoepfel

We will setup a meeting to discuss.

#7 - 02/27/2020 12:19 PM - Andrew Mastbaum

I'd be happy to discuss and can reach out to other SBN software folks as well. When would be a good time to meet?

#8 - 03/02/2020 10:31 AM - Kyle Knoepfel

We will try to schedule a meeting with you this week. Stay tuned.

#9 - 03/07/2020 01:19 PM - Christopher Backhouse

Any progress on meeting scheduling?
#10 - 03/16/2020 10:43 AM - Christopher Green

Chris, sorry for the delay on this. | am actively working on the new stack now, but Kyle is away until the back end of the week. We will try before the
end of the week to schedule a discussion with you.

#11 - 03/20/2020 09:42 AM - Kyle Knoepfel
Tentatively scheduled meeting for next Wednesday (3/25) at 10 AM CDT on Zoom: https://fnal.zoom.us/j/6308403638.

#12 - 03/23/2020 09:00 AM - Kyle Knoepfel

Just pinging the system with the tentatively scheduled meeting for next Wednesday (3/25) at 10 AM CDT on Zoom: https://fnal.zoom.us/j/6308403638
#13 - 03/25/2020 08:30 AM - Christopher Backhouse
I'm attending at least. | just poked Andy on slack to check.

#14 - 04/01/2020 10:31 PM - Lynn Garren
- % Done changed from 0 to 100

- Status changed from Under Discussion to Resolved
After the meeting, a suitable build of pygccxml was provided by Chris Green and is part of the larsoft distribution as of v08_48_01.

#15 - 04/06/2020 10:33 AM - Kyle Knoepfel

- Status changed from Resolved to Closed
